# MatSNESMFSetPeriod

Sets how often h is recomputed, by default it is everytime

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode MatSNESMFSetPeriod(Mat mat,PetscInt period)

Collective on Mat

### Input Parameters

| mat | - the matrix free matrix created via MatCreateSNESMF()
| period | - 1 for everytime, 2 for every second etc

### Options Database Keys

| -snes_mf_period <period> | -

### Keywords

SNES, matrix-free, parameters

### See Also

MatCreateSNESMF(),MatSNESMFGetH(),
MatSNESMFSetHHistory(), MatSNESMFResetHHistory(), MatSNESMFKSPMonitor()

Level:advanced
Location:src/snes/mf/snesmfj.c
Index of all SNESMF routines
Table of Contents for all manual pages
Index of all manual pages